Immigrant Visa

Welcome to the Consular Electronic Application Center!

What you need:
  • Your Internet browser must support 128-bit encryption and must have javascript enabled.
  • The minimum version of Internet Explorer (Windows) that this site supports is version 5.0 service pack 2 or higher.
  • The minimum version of Netscape that this site supports is version 6.2 or higher.
Note: The time to download each page may vary depending on the speed of your Internet connection. Please be patient.